.absolute-center,
.circle-menu .cricle-btn .circle-title,
.circle-menu {
  position: absolute;
  top: 50%;
  left: 40%;
  transform: translateX(-50%) translateY(-50%);
  user-select: none;
}
.circle-menu .cricle-btn.trigger,
.circle-menu .cricle-btn .circle-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  font-family: inherit;
  white-space: nowrap;
}
.circle-menu {
  width: 150px;
  height: 150px;
  transition: all 0.5s linear;
}
.circle-menu .circle-btn {
  clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
}
.circle-menu .cricle-btn {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--CL_132743);
  clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
  opacity: 0;
  z-index: -10;
  cursor: pointer;
  transition: opacity 1s, z-index 0.3s, transform 1s;
  transform: translateX(0);
}
.circle-menu .cricle-btn .circle-title {
  font-size: 1.5em;
  transition: color 0.3s;
  color: var(--White);
}
.circle-menu .cricle-btn.trigger {
  opacity: 1;
  z-index: 100;
  cursor: pointer;
  transition: transform 0.3s;
  width: 150px;
  height: 150px;
  background: var(--Basic);
  clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
  transition: all 0.5s linear;
}
.circle-menu .rotater {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform-origin: 50% 50%;
  text-align: center;
}
.circle-menu.active .btn-icon {
  opacity: 1;
  z-index: 50;
  clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
  height: 150px;
  width: 150px;
  transition: opacity 1s, z-index 0.3s, transform 1s;
  background: var(--CL_132743);
  transition: all 0.5s linear;
}
.circle-menu.active .cricle-btn.btn-icon.disabled
{
  opacity: 0.05;
  cursor: not-allowed;
}
.circle-menu .cricle-btn.trigger:hover,
.circle-menu.active .btn-icon:hover {
  background: var(--CL_244a80);
  color: var(--white-color);
}
.cricle-btn.btn-icon.disabled:hover{
  opacity: 0.05;
}
.rotater:nth-child(1) {
  transform: rotate(0deg);
}
.circle-menu.active .rotater:nth-child(1) .btn-icon {
  transform: translateY(-10em) rotate(0deg);
}
.rotater:nth-child(2) {
  transform: rotate(60deg);
}
.circle-menu.active .rotater:nth-child(2) .btn-icon {
  transform: translateY(-10em) rotate(-60deg);
}

.rotater:nth-child(3) {
  transform: rotate(120deg);
}
.circle-menu.active .rotater:nth-child(3) .btn-icon {
  transform: translateY(-10em) rotate(-120deg);
}

.rotater:nth-child(4) {
  transform: rotate(180deg);
}
.circle-menu.active .rotater:nth-child(4) .btn-icon {
  transform: translateY(-10em) rotate(-180deg);
}

.rotater:nth-child(5) {
  transform: rotate(240deg);
}
.circle-menu.active .rotater:nth-child(5) .btn-icon {
  transform: translateY(-10em) rotate(-240deg);
}

.rotater:nth-child(6) {
  transform: rotate(300deg);
}
.circle-menu.active .rotater:nth-child(6) .btn-icon {
  transform: translateY(-10em) rotate(-300deg);
}

.rotater:nth-child(7) {
  transform: rotate(30deg);
}
.circle-menu.active .rotater:nth-child(7) .btn-icon {
  transform: translateY(-17em) rotate(-30deg);
}

.rotater:nth-child(8) {
  transform: rotate(60deg);
}
.circle-menu.active .rotater:nth-child(8) .btn-icon {
  transform: translateY(-19.5em) rotate(-60deg);
}
.rotater:nth-child(9) {
  transform: rotate(90deg);
}
.circle-menu.active .rotater:nth-child(9) .btn-icon {
  transform: translateY(-17em) rotate(-90deg);
}
.rotater:nth-child(10) {
  transform: rotate(120deg);
}
.circle-menu.active .rotater:nth-child(10) .btn-icon {
  transform: translateY(-19.5em) rotate(-120deg);
}
.rotater:nth-child(11) {
  transform: rotate(150deg);
}
.circle-menu.active .rotater:nth-child(11) .btn-icon {
  transform: translateY(-17em) rotate(-150deg);
}
.rotater:nth-child(12) {
  transform: rotate(180deg);
}
.circle-menu.active .rotater:nth-child(12) .btn-icon {
  transform: translateY(-19.5em) rotate(-180deg);
}
.rotater:nth-child(13) {
  transform: rotate(210deg);
}
.circle-menu.active .rotater:nth-child(13) .btn-icon {
  transform: translateY(-17em) rotate(-210deg);
}
.rotater:nth-child(14) {
  transform: rotate(240deg);
}
.circle-menu.active .rotater:nth-child(14) .btn-icon {
  transform: translateY(-19.5em) rotate(-240deg);
}
.rotater:nth-child(15) {
  transform: rotate(270deg);
}
.circle-menu.active .rotater:nth-child(15) .btn-icon {
  transform: translateY(-17em) rotate(-270deg);
}
.rotater:nth-child(16) {
  transform: rotate(300deg);
}
.circle-menu.active .rotater:nth-child(16) .btn-icon {
  transform: translateY(-19.5em) rotate(-300deg);
}
.rotater:nth-child(17) {
  transform: rotate(330deg);
}
.circle-menu.active .rotater:nth-child(17) .btn-icon {
  transform: translateY(-17em) rotate(-330deg);
}
.rotater:nth-child(18) {
  transform: rotate(360deg);
}
.circle-menu.active .rotater:nth-child(18) .btn-icon {
  transform: translateY(-19.5em) rotate(-360deg);
}
/* Sass */
/* $numOfElems: 8;

@for $i from 1 through $numOfElems {
  $deg: 360deg / $numOfElems;
  .rotater:nth-child(#{$i}) {
    transform: rotate($deg/-2 + $deg * ($i - 1));
  }

  .circle-menu.active {
    .rotater:nth-child(#{$i}) .btn-icon {
      transform: translateY(-10em) rotate($deg/2 - $deg * ($i - 1));
    }
  }
} */
@media only screen and (max-width: 1024px) {
  .circle-menu,
  .circle-menu.active .btn-icon,
  .circle-menu .cricle-btn.trigger {
    width: 100px;
    height: 100px;
    transition: all 0.5s linear;
  }
  .rotater:nth-child(1) {
    transform: rotate(0deg);
  }
  .circle-menu.active .rotater:nth-child(1) .btn-icon {
    transform: translateY(-6.5em) rotate(0deg);
  }
  .rotater:nth-child(2) {
    transform: rotate(60deg);
  }
  .circle-menu.active .rotater:nth-child(2) .btn-icon {
    transform: translateY(-6.5em) rotate(-60deg);
  }
  .rotater:nth-child(3) {
    transform: rotate(120deg);
  }
  .circle-menu.active .rotater:nth-child(3) .btn-icon {
    transform: translateY(-6.5em) rotate(-120deg);
  }
  .rotater:nth-child(4) {
    transform: rotate(180deg);
  }
  .circle-menu.active .rotater:nth-child(4) .btn-icon {
    transform: translateY(-6.5em) rotate(-180deg);
  }
  .rotater:nth-child(5) {
    transform: rotate(240deg);
  }
  .circle-menu.active .rotater:nth-child(5) .btn-icon {
    transform: translateY(-6.5em) rotate(-240deg);
  }
  .rotater:nth-child(6) {
    transform: rotate(300deg);
  }
  .circle-menu.active .rotater:nth-child(6) .btn-icon {
    transform: translateY(-6.5em) rotate(-300deg);
  }
  .circle-menu .cricle-btn .circle-title {
    font-size: 1em;
    transition: color 0.3s;
    color: var(--white-color);
  }
  .rotater:nth-child(7) {
    transform: rotate(30deg);
  }
  .circle-menu.active .rotater:nth-child(7) .btn-icon {
    transform: translateY(-11.4em) rotate(-30deg);
  }
  .rotater:nth-child(8) {
    transform: rotate(60deg);
  }
  .circle-menu.active .rotater:nth-child(8) .btn-icon {
    transform: translateY(-12.9em) rotate(-60deg);
  }
  .rotater:nth-child(9) {
    transform: rotate(90deg);
  }
  .circle-menu.active .rotater:nth-child(9) .btn-icon {
    transform: translateY(-11.2em) rotate(-90deg);
  }
  .rotater:nth-child(10) {
    transform: rotate(120deg);
  }
  .circle-menu.active .rotater:nth-child(10) .btn-icon {
    transform: translateY(-12.9em) rotate(-120deg);
  }
  .rotater:nth-child(11) {
    transform: rotate(150deg);
  }
  .circle-menu.active .rotater:nth-child(11) .btn-icon {
    transform: translateY(-11.4em) rotate(-150deg);
  }
  .rotater:nth-child(12) {
    transform: rotate(180deg);
  }
  .circle-menu.active .rotater:nth-child(12) .btn-icon {
    transform: translateY(-13em) rotate(-180deg);
  }
  .rotater:nth-child(13) {
    transform: rotate(210deg);
  }
  .circle-menu.active .rotater:nth-child(13) .btn-icon {
    transform: translateY(-11.4em) rotate(-210deg);
  }
  .rotater:nth-child(14) {
    transform: rotate(240deg);
  }
  .circle-menu.active .rotater:nth-child(14) .btn-icon {
    transform: translateY(-12.9em) rotate(-240deg);
  }
  .rotater:nth-child(15) {
    transform: rotate(270deg);
  }
  .circle-menu.active .rotater:nth-child(15) .btn-icon {
    transform: translateY(-11.2em) rotate(-270deg);
  }
  .rotater:nth-child(16) {
    transform: rotate(300deg);
  }
  .circle-menu.active .rotater:nth-child(16) .btn-icon {
    transform: translateY(-12.9em) rotate(-300deg);
  }
  .rotater:nth-child(17) {
    transform: rotate(330deg);
  }
  .circle-menu.active .rotater:nth-child(17) .btn-icon {
    transform: translateY(-11.4em) rotate(-330deg);
  }
  .rotater:nth-child(18) {
    transform: rotate(360deg);
  }
  .circle-menu.active .rotater:nth-child(18) .btn-icon {
    transform: translateY(-13em) rotate(-360deg);
  }
}
